package com.ruoyi.platform.mapper;

import com.ruoyi.platform.domain.CodeConfig;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface CodeConfigDao {

    long count(@Param("codeConfig") CodeConfig codeConfig);

    List<CodeConfig> queryAllByLimit(@Param("codeConfig") CodeConfig codeConfig, @Param("pageable") Pageable pageable);

    CodeConfig queryById(Long id);

    Long queryByCodeRepoName(@Param("codeRepoName") String codeRepoName);

    int insert(@Param("codeConfig") CodeConfig codeConfig);

    int update(@Param("codeConfig") CodeConfig codeConfig);
}
